% File src/library/base/man/pos.to.env.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2013 R Core Team
% Distributed under GPL 2 or later

\name{pos.to.env}
\alias{pos.to.env}
\title{Convert Positions in the Search Path to Environments}
\description{
  検索パ中の指定位置の環境を返す．
}
\usage{pos.to.env(x)}
\arguments{
  \item{x}{\code{1} と検索パスの長さ \code{length(search())} の間の整数，
    又は \code{-1}．}
}
\details{
  環境中のオブジェクトを操作する幾つかの \R 関数(
  \code{\link{get}} や \code{\link{ls}} 等)は環境を検索パス中の
  対応位置で指定することを許す．\code{pos.to.env} は
  これらの位置を環境に変換するプログラマーのための便宜関数である：
  ユーザは典型的にその必要はない．
  これはプリミティブである．

  \code{-1} は関数がそこから呼び出された環境と解釈される．

  これはプリミティブな関数である．
}
\examples{
pos.to.env(1) # R_GlobalEnv
# 次は基本環境を返す
pos.to.env(length(search()))
}
\keyword{utilities}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/pos.to.env.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2013 R Core Team
%% Distributed under GPL 2 or later
%
%\name{pos.to.env}
%\alias{pos.to.env}
%\title{Convert Positions in the Search Path to Environments}
%\description{
%  Returns the environment at a specified position in the search path.
%}
%\usage{pos.to.env(x)}
%\arguments{
%  \item{x}{an integer between \code{1} and \code{length(search())}, the length
%    of the search path, or \code{-1}.}
%}
%\details{
%  Several \R functions for manipulating objects in environments (such as
%  \code{\link{get}} and \code{\link{ls}}) allow specifying environments
%  via corresponding positions in the search path.  \code{pos.to.env} is
%  a convenience function for programmers which converts these positions
%  to corresponding environments; users will typically have no need for
%  it.  It is \link{primitive}.
%
%  \code{-1} is interpreted as the environment the function is called
%  from.
%
%  This is a \link{primitive} function.
%}
%\examples{
%pos.to.env(1) # R_GlobalEnv
%# the next returns the base environment
%pos.to.env(length(search()))
%}
%\keyword{utilities}
%
\encoding{UTF8}
