% File src/library/datasets/man/freeny.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{freeny}
\docType{data}
\title{Freeny の歳入データ}
\alias{freeny}
\alias{freeny.x}
\alias{freeny.y}
%%\title{Freeny's Revenue Data}
\description{
  四半期毎の歳入と外生変数に関する Freeny のデータ．
}
\usage{
freeny
freeny.x
freeny.y
}
\format{
  \sQuote{freeny} データセットは三種類ある．

  \code{freeny.y} は
  (1962,2Q) から (1971,4Q) までの四半期毎の歳入の39観測値の
  時系列である．

  \code{freeny.x} は外生変数の行列である．
  列は1四半期でラグを取った \code{freeny.y}，物価指数，所得水準，
  そして潜在需要である．

  そして \code{freeny} は上の二つのデータオブジェクトから得られた
  \code{y}, \code{lag.quarterly.revenue}, \code{price.index}, \code{income.level}
  そして \code{market.potential} のデータフレームである．
}
\source{
  A. E. Freeny (1977)
  \emph{A Portable Linear Regression Package with Test Programs}.
  Bell Laboratories memorandum.
}
\references{
  Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988)
  \emph{The New S Language}.
  Wadsworth & Brooks/Cole.
}
\examples{
require(stats); require(graphics)
summary(freeny)
pairs(freeny, main = "freeny data")
# 警告が出る： freeny$y has class "ts"

summary(fm1 <- lm(y ~ ., data = freeny))
opar <- par(mfrow = c(2, 2), oma = c(0, 0, 1.1, 0),
            mar = c(4.1, 4.1, 2.1, 1.1))
plot(fm1)
par(opar)
}
\keyword{datasets}

\encoding{UTF8}
