% File src/library/datasets/man/rock.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1994-8 W. N. Venables and B. D. Ripley
% Distributed under GPL 2 or later

% Manually converted to Rd data file description format by KH.
\name{rock}
\docType{data}
\title{石油母岩のデータ}
\alias{rock}
%%\title{Measurements on Petroleum Rock Samples}
\description{
    油層からの48個の石油母岩に関する測定．}
\usage{rock}
\format{
    48の行と4つの数値列を持つデータフレーム．

    \tabular{rll}{
        [,1] \tab area  \tab 空隙面積，
	256掛ける256からのピクセル \cr
        [,2] \tab peri  \tab ピクセル単位の直径 \cr
        [,3] \tab shape \tab 直径/sqrt(面積) \cr
        [,4] \tab perm  \tab ミリダーシー単位の浸透性
    }
}
\details{
    油層からの12個のコア標本が4個の断面からサンプルされた．
    各コア標本の浸透性が測定され，そして各断面は空隙の総面積，
    空隙の総直径，そして形状を持つ．
}
\source{
    BP Research からのデータで，オクスフォード大学の
    Ronit Katz により画像解析された．
}
\keyword{datasets}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/datasets/man/rock.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1994-8 W. N. Venables and B. D. Ripley
%% Distributed under GPL 2 or later
%
%% Manually converted to Rd data file description format by KH.
%\name{rock}
%\docType{data}
%\alias{rock}
%\title{Measurements on Petroleum Rock Samples}
%\description{
%    Measurements on 48 rock samples from a petroleum reservoir.}
%\usage{rock}
%\format{
%    A data frame with 48 rows and 4 numeric columns.
%
%    \tabular{rll}{
%        [,1] \tab area  \tab area of pores space, in pixels
%        out of 256 by 256 \cr
%        [,2] \tab peri  \tab perimeter in pixels \cr
%        [,3] \tab shape \tab perimeter/sqrt(area) \cr
%        [,4] \tab perm  \tab permeability in milli-Darcies
%    }
%}
%\details{
%    Twelve core samples from petroleum reservoirs were sampled by 4
%    cross-sections.  Each core sample was measured for permeability, and
%    each cross-section has total area of pores, total perimeter of
%    pores, and shape.
%}
%\source{
%    Data from BP Research, image analysis by Ronit Katz, U. Oxford.
%}
%\keyword{datasets}
%
%\encoding{UTF8}
%