% File src/library/grDevices/man/devSet.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2011-2013 R Core Team
% Distributed under GPL 2 or later

\name{dev.flush}
\title{スクリーン上のグラフィックスデバイスに出力をホールド・フラッシュ}
\alias{dev.hold}
\alias{dev.flush}
%%\title{
%%  Hold or Flush Output on an On-Screen Graphics Device.
%%}
\description{
  これはある種のスクリーンデバイス上で出力を
  ホールド/フラッシュする手段を与え，
  他のデバイスでは無視される．
}
\usage{
dev.hold(level = 1L)
dev.flush(level = 1L)
}
\arguments{
  \item{level}{整数 >= 0．ホールドレベルをそれだけ変更する量．
    負の値は黙ってゼロに置き換えられる．}
}
\details{
  これを実装するデバイスはホールドレベルのスタックを保守する：
  \code{dev.hold} の呼び出しはレベルを増やし，\code{dev.flush} はそれを減らす．
  ホールドレベルがゼロの時の \code{dev.hold} の呼び出しは
  ホールドレベルを増やしグラフィックスディスプレイを禁止する．
  \code{dev.flush} の呼び出しが全ての保留中のホールドをクリアする時
  スクリーンディスプレイはリフレッシュされ通常の操作が復帰する．

  これは cairo ベースのバッファリングを持つ
  \code{X11} タイプに対して実装されている．
  ホールドレベルが正の時
  \sQuote{時計}カーソルがデバイスのウィンド上に置かれる．

  これは OS X 上の \code{quartz} デバイスで利用できる．

  これはバッファリングが選択された(既定)
  \code{windows} デバイスに対して実装される．
  ホールドレベルが正の時
  \sQuote{ビジー}カーソルがデバイスのウィンド上に置かれる．
}

\value{
  変更後の現在のレベルが不可視で返される．
  ホールドレベルがサポートされていないデバイス上では
  これは \code{0}．
}
\keyword{ dplot }

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grDevices/man/devSet.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2011-2013 R Core Team
%% Distributed under GPL 2 or later
%
%\name{dev.flush}
%\alias{dev.hold}
%\alias{dev.flush}
%\title{
%  Hold or Flush Output on an On-Screen Graphics Device.
%}
%\description{
%  This gives a way to hold/flush output on certain on-screen devices,
%  and is ignored by other devices.
%}
%\usage{
%dev.hold(level = 1L)
%dev.flush(level = 1L)
%}
%\arguments{
%  \item{level}{Integer >= 0.  The amount by which to change the hold
%    level.  Negative values will be silently replaced by zero.}
%}
%\details{
%  Devices which implement this maintain a stack of hold levels: calling
%  \code{dev.hold} increases the level and \code{dev.flush} decreases it.
%  Calling \code{dev.hold} when the hold level is zero increases the hold
%  level and inhibits graphics display.  When calling \code{dev.flush}
%  clears all pending holds the screen display is refreshed and normal
%  operation is resumed.
%
%  This is implemented for the cairo-based \code{X11} types
%  with buffering.  When the hold level is positive the \sQuote{watch}
%  cursor is set on the device's window.
%
%  It is available on the \code{quartz} device on OS X.
%
%  This is implemented for the \code{windows} device with
%  buffering selected (the default).  When the hold level is positive the
%  \sQuote{busy} cursor is set on the device's window.
%}
%
%\value{
%  The current level after the change, invisibly.  This is \code{0} on
%  devices where hold levels are not supported.
%}
%\keyword{ dplot }
%
%\encoding{UTF-8}
%
