% File src/library/grDevices/man/dev.interactive.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2014 R Core Team
% Distributed under GPL 2 or later

\name{dev.interactive}
\alias{dev.interactive}
\title{現在のデバイスは対話的か?}
\alias{deviceIsInteractive}
%%\title{Is the Current Graphics Device Interactive?}
\description{
  現在のデバイス(又は開かれるもの)が対話的かどうかを検査する．
}
\usage{
dev.interactive(orNone = FALSE)

deviceIsInteractive(name = NULL)
}
\arguments{
  \item{orNone}{論理値；もし \code{TRUE} ならば関数はまた
    \code{\link{.Device} == "null device"} で\cr
    \code{\link{getOption}("device")} が既知の対話的デバイス中にあれば
    \code{TRUE} を返す．}
  \item{name}{文字列としての一つ又はそれ以上のデバイス名，
    又は存在するリストを与えるには \code{NULL}．}
}
\details{
  \code{X11} (Unix), \code{windows} (Windows) そして \code{quartz}
  (OS X, オンスクリーンタイプのみ)は対話的と見做される．更に
  \code{JavaGD} (同名のパッケージから)と
  \code{CairoWin} と \code{CairoX11} (パッケージ \CRANpkg{Cairo} から)．
  パッケージのデバイスは
  \code{deviceIsInteractive} の呼び出しでリストに付け加えることが出来る．
}
\value{
  \code{dev.interactive()} は論理値を返し，
  対話的な(スクリーン)デバイスが使用中の時そしてその時だけ
  \code{TRUE} となる．

  \code{deviceIsInteractive} は
  \code{name = NULL} で無い限り不可視で既知の対話的デバイスのリストを更新する．
}
\seealso{
  自分のプラットフォームで利用可能なデバイスに対しては \code{\link{Devices}}．
}
\examples{
dev.interactive()
print(deviceIsInteractive(NULL))
}
\keyword{device}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grDevices/man/dev.interactive.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2014 R Core Team
%% Distributed under GPL 2 or later
%
%\name{dev.interactive}
%\alias{dev.interactive}
%\alias{deviceIsInteractive}
%\title{Is the Current Graphics Device Interactive?}
%\description{
%  Test if the current graphics device (or that which would be opened) is
%  interactive.
%}
%\usage{
%dev.interactive(orNone = FALSE)
%
%deviceIsInteractive(name = NULL)
%}
%\arguments{
%  \item{orNone}{logical; if \code{TRUE}, the function also returns
%    \code{TRUE} when \code{\link{.Device} == "null device"} and
%    \code{\link{getOption}("device")} is among the known
%    interactive devices.}
%  \item{name}{one or more device names as a character vector,
%    or \code{NULL} to give the existing list.}
%}
%\details{
%  The \code{X11} (Unix), \code{windows} (Windows) and \code{quartz}
%  (OS X, on-screen types only) are regarded as interactive, together
%  with \code{JavaGD} (from the package of the same name) and
%  \code{CairoWin} and \code{CairoX11} (from package \CRANpkg{Cairo}).
%  Packages can add their devices to the list by calling
%  \code{deviceIsInteractive}.
%}
%\value{
%  \code{dev.interactive()} returns a logical, \code{TRUE} if and only if an
%  interactive (screen) device is in use.
%
%  \code{deviceIsInteractive} returns the updated list of known
%  interactive devices, invisibly unless \code{name = NULL}.
%}
%\seealso{
%  \code{\link{Devices}} for the available devices on your platform.
%}
%\examples{
%dev.interactive()
%print(deviceIsInteractive(NULL))
%}
%\keyword{device}
%
%\encoding{UTF-8}
%