% File src/library/grDevices/man/dev.size.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2008-11 R Core Team
% Distributed under GPL 2 or later

\name{dev.size}
\title{デバイス面のサイズを見つける}
\alias{dev.size}
%%\title{ Find Size of Device Surface }
\description{
  現在のデバイスのデバイス面の次元を見出す．
}
\usage{
dev.size(units = c("in", "cm", "px"))
}
\arguments{
  \item{units}{返される値の単位 -- inches, cm 又は
    pixels (デバイス単位)．}
}
\value{
  現在のデバイスの幅と高さを与える二要素の数値ベクトル；
  デバイスが無ければ新しい物が
  \code{\link{dev.new}()} と同じように開かれる．
}
\seealso{
  インチ単位のサイズ情報は
  \code{\link{par}("din")} で得られるが，これは
  使用中のグラフィックスのサブシステムに独立にそれにアクセスする
  手段を与える．
  \code{par("din")} は新しいプロットが開始した時だけ更新されるが，
  \code{dev.size} はオンスクリーンのデバイスのサイズが変更
  されるに従いサイズを追跡する．
}
\examples{
dev.size("cm")
}
\keyword{ dplot }

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grDevices/man/dev.size.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2008-11 R Core Team
%% Distributed under GPL 2 or later
%
%\name{dev.size}
%\alias{dev.size}
%\title{ Find Size of Device Surface }
%\description{
%  Find the dimensions of the device surface of the current device.
%}
%\usage{
%dev.size(units = c("in", "cm", "px"))
%}
%\arguments{
%  \item{units}{the units in which to return the value -- inches, cm, or
%    pixels (device units).}
%}
%\value{
%  A two-element numeric vector giving width and height of the current
%  device; a new device is opened if there is none, similarly to
%  \code{\link{dev.new}()}.
%}
%\seealso{
%  The size information in inches can be obtained by
%  \code{\link{par}("din")}, but this provides a way to access it
%  independent of the graphics sub-system in use.  Note that
%  \code{par("din")} is only updated when a new plot is started, whereas
%  \code{dev.size} tracks the size as an on-screen device is resized.
%}
%\examples{
%dev.size("cm")
%}
%\keyword{ dplot }
%
%\encoding{UTF-8}
%