% File src/library/grDevices/man/devAskNewPage.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2008 R Core Team
% Distributed under GPL 2 or later

\name{devAskNewPage}
\alias{devAskNewPage}
\title{新しいページの前に確認}
%%\title{ Prompt before New Page }
\description{
  この関数は
  (現在のデバイスに対して)新しい出力ページを開始する前に
  ユーザにプロンプトで促すかどうかを制御するのに使うことが出来る．
}
\usage{
devAskNewPage(ask = NULL)
}
\arguments{
  \item{ask}{\code{NULL} か論理値．
    もし \code{TRUE} ならば，その後新しい出力ページが開始する
    前にプロンプトで促される．}
}
\details{
  もし現在のデバイスが null デバイスならば，これは新しい
  グラフィックスデバイスを開く．

  既定の引数は単に現在の設定を返しそれを変更しない．

  デバイスが開かれた時の既定値は
  \code{\link{options}("device.ask.default")} の設定から取られる．

  ユーザがいつ新しいページを確認される正確な状況はグラフィックスサブシステム
  に依存する．当然これは対話的なセッションを必要とする．
  加えて\sQuote{記録}操作が行われている必要があるので，
  普通スクリーンデバイス上だけでそうなっているように
  ディスプレイリストが許可になっている時だけ可能になる
  (\code{\link{dev.control}} を見よ)．
}
\value{
  任意の新しい設定の
  \emph{前}に現在のプロンプト設定が適用される．
  もし \code{ask} が論理値なら不可視．
}

\seealso{
  \code{\link{plot.new}}, \code{\link{grid.newpage}}
}
\keyword{ dplot }

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grDevices/man/devAskNewPage.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2008 R Core Team
%% Distributed under GPL 2 or later
%
%\name{devAskNewPage}
%\alias{devAskNewPage}
%\title{ Prompt before New Page }
%\description{
%  This function can be used to control (for the current device)
%  whether the user is prompted before starting a new page of output.
%}
%\usage{
%devAskNewPage(ask = NULL)
%}
%\arguments{
%  \item{ask}{\code{NULL} or a logical value.  If \code{TRUE}, the user
%    will in future be prompted before a new page of output is started.}
%}
%\details{
%  If the current device is the null device, this will open a graphics device.
%
%  The default argument just returns the current setting and does not
%  change it.
%
%  The default value when a device is opened is taken from the
%  setting of \code{\link{options}("device.ask.default")}.
%
%  The precise circumstances when the user will be asked to confirm a new
%  page depend on the graphics subsystem.  Obviously this needs to be an
%  interactive session.  In addition \sQuote{recording} needs to be in
%  operation, so only when the display list is enabled (see
%  \code{\link{dev.control}}) which it usually is only on a screen device.
%}
%\value{
%  The current prompt setting \emph{before} any new setting is applied.
%  Invisibly if \code{ask} is logical.
%}
%
%\seealso{
%  \code{\link{plot.new}}, \code{\link{grid.newpage}}
%}
%\keyword{ dplot }
%
%\encoding{UTF-8}
%