% File src/library/grDevices/man/gray.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2012 R Core Team
% Distributed under GPL 2 or later

\name{gray}
\alias{gray}
\title{グレイレベルの指定}
\alias{grey}
%%\title{Gray Level Specification}
\description{
  グレイレベルのベクトルから色のベクトルを作る．
}
\usage{
gray(level, alpha = NULL)
grey(level, alpha = NULL)
}
\arguments{
  \item{level}{
    \code{0} と \code{1} の間の希望するグレイレベルのベクトル；
    ゼロは \code{"black"} で 1 は \code{"white"} を意味する．}
  \item{alpha}{もし指定するならば不透明度．}
}
\details{
  \code{gray} が返す値はグラフィックス関数の \code{col=}
  指定や
  \code{\link{par}} 中で使うことが出来る．

  \code{grey} は \code{gray} の別名である．
}
\value{
  \code{level} と同じ長さの色のベクトル．
}
\seealso{
  \code{\link{rainbow}},
  \code{\link{hsv}},
  \code{\link{hcl}},
  \code{\link{rgb}}.
}
\examples{
gray(0:8 / 8)
}
\keyword{color}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/grDevices/man/gray.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2012 R Core Team
%% Distributed under GPL 2 or later
%
%\name{gray}
%\alias{gray}
%\alias{grey}
%\title{Gray Level Specification}
%\description{
%  Create a vector of colors from a vector of gray levels.
%}
%\usage{
%gray(level, alpha = NULL)
%grey(level, alpha = NULL)
%}
%\arguments{
%  \item{level}{a vector of desired gray levels between \code{0} and
%    \code{1}; zero indicates \code{"black"} and one indicates
%    \code{"white"}.}
%  \item{alpha}{the opacity, if specified.}
%}
%\details{
%  The values returned by \code{gray} can be used with a \code{col=}
%  specification in graphics functions or in \code{\link{par}}.
%
%  \code{grey} is an alias for \code{gray}.
%}
%\value{
%  A vector of colors of the same length as \code{level}.
%}
%\seealso{
%  \code{\link{rainbow}},
%  \code{\link{hsv}},
%  \code{\link{hcl}},
%  \code{\link{rgb}}.
%}
%\examples{
%gray(0:8 / 8)
%}
%\keyword{color}
%
%\encoding{UTF-8}
%