% File src/library/stats/man/vcov.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2014 R Core Team
% Distributed under GPL 2 or later

\name{vcov}
\alias{vcov}%@%\alias{当てはめモデルに対する分散・共分散行列}
\alias{vcov.lm}
\alias{vcov.glm}
\alias{vcov.summary.lm}
\alias{vcov.summary.glm}
\alias{vcov.lme}
\alias{vcov.gls}
\title{
  Calculate Variance-Covariance Matrix for a Fitted Model Object
}
\description{
  当てはめモデルオブジェクトの主パラメータの分散・共分散行列
  を返す．
}
\usage{
vcov(object, \dots)
}
\arguments{
  \item{object}{
    典型的に当てはめモデルオブジェクト．
    ある場合にはそうした当てはめモデルの
    \code{\link{summary}()} オブジェクト．
  }
  \item{\dots}{
    メソッド関数への追加引数．
    \code{\link{glm}} メソッドに対しては，これは
    \code{dispersion} パラメータを渡すために使うことが出来る．
  }
}
\details{
  これは総称的関数である．
  \code{vcov.} で始まる名前を持つ関数はこの関数に対するメソッドである．
  この関数のメソッドのクラスは以下を含む：
  \code{lm}, \code{mlm}, \code{glm}, \code{nls},
  \code{summary.lm}, \code{summary.glm},
  \code{negbin}, \code{polr}, \code{rlm} (パッケージ \CRANpkg{MASS} 中),
  \code{multinom} (パッケージ \CRANpkg{nnet} 中),
  \code{gls}, \code{lme} (パッケージ \CRANpkg{nlme} 中),
  \code{coxph} and \code{survreg} (パッケージ \CRANpkg{survival} 中)．

  要約オブジェクトに対する(\code{vcov()}メソッドは
  \code{summary(mod)} と \code{vcov(mod)} の両方が必要なときには
  より効率的であるが依然要約されたアクセスを許す．)
}
\value{
  モデルの線形又は非線型予測子の
  推定パラメータ間の推定共分散の行列．
  これは
  \code{\link{coef}} メソッドにより与えられるパラメータ名に
  対応する行名と列名を持つべきである．
}
\keyword{models}
\keyword{nonlinear}

\encoding{UTF-8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats/man/vcov.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2014 R Core Team
%% Distributed under GPL 2 or later
%
%\name{vcov}
%\alias{vcov}
%\alias{vcov.lm}
%\alias{vcov.glm}
%\alias{vcov.summary.lm}
%\alias{vcov.summary.glm}
%\alias{vcov.lme}
%\alias{vcov.gls}
%\title{
%  Calculate Variance-Covariance Matrix for a Fitted Model Object
%}
%\description{
%  Returns the variance-covariance matrix of the main parameters of
%  a fitted model object.
%}
%\usage{
%vcov(object, \dots)
%}
%\arguments{
%  \item{object}{
%    a fitted model object, typically.  Sometimes also a
%    \code{\link{summary}()} object of such a fitted model.
%  }
%  \item{\dots}{
%    additional arguments for method functions.  For the
%    \code{\link{glm}} method this can be used to pass a
%    \code{dispersion} parameter.
%  }
%}
%\details{
%  This is a generic function.
%  Functions with names beginning in \code{vcov.} will be
%  methods for this function.
%  Classes with methods for this function include:
%  \code{lm}, \code{mlm}, \code{glm}, \code{nls},
%  \code{summary.lm}, \code{summary.glm},
%  \code{negbin}, \code{polr}, \code{rlm} (in package \CRANpkg{MASS}),
%  \code{multinom} (in package \CRANpkg{nnet})
%  \code{gls}, \code{lme} (in package \CRANpkg{nlme}),
%  \code{coxph} and \code{survreg} (in package \CRANpkg{survival}).
%
%  (\code{vcov()} methods for summary objects allow more
%  efficient and still encapsulated access when both
%  \code{summary(mod)} and \code{vcov(mod)} are needed.)
%}
%\value{
%  A matrix of the estimated covariances between the parameter estimates
%  in the linear or non-linear predictor of the model.  This should have
%  row and column names corresponding to the parameter names given by the
%  \code{\link{coef}} method.
%}
%\keyword{models}
%\keyword{nonlinear}
%
%\encoding{UTF-8}
%
