% File src/library/stats4/man/plot-methods.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{plot-methods}
\docType{methods}
\title{パッケージ stats4 中の plot 関数に対するメソッド}
\alias{plot-methods}
\alias{plot,ANY,ANY-method}
\alias{plot,profile.mle,missing-method}
%%\title{Methods for Function \code{plot} in Package \pkg{stats4}}
\description{
  \code{"mle"} オブジェクトに対するプロファイル尤度のプロット．
}
\usage{
\S4method{plot}{profile.mle,missing}(x, levels, conf = c(99, 95, 90, 80, 50)/100, nseg = 50,
     absVal = TRUE, \dots)
}
\arguments{
 \item{x}{
   クラス \code{"profile.mle"} のオブジェクト．}
 \item{levels}{水準，t 統計量の絶対値のスケールで，
   そこで区間を補間する．普通 \code{conf} が
   \code{levels} を明示的に与える代わりに使われる．}
 \item{conf}{パラメータに関するプロファイルに基づく
   信頼区間の信頼係数の数値クトル．}
 \item{nseg}{プロファイル t 曲線のスプライン補間で使われる線分の数を与える
   整数．}
 \item{absVal}{プロットはプロファイル t の絶対値のスケールで
   行われるべきかどうかを指示する論理値．
   既定では \code{TRUE}．}
 \item{\dots}{
   \code{plot} 関数への他の引数はここで渡すことが出来る．}
}
\section{メソッド}{
  \describe{
    \item{\code{signature(x = "ANY", y = "ANY")}}{総称的関数：
      \code{\link[graphics]{plot}} を見よ．}
    \item{\code{signature(x = "profile.mle", y = "missing")}}{
      \code{x} に対する尤度プロファイルをプロット．}
  }
}
\keyword{methods}
\encoding{UTF-8}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/stats4/man/plot-methods.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{plot-methods}
%\docType{methods}
%\alias{plot-methods}
%\alias{plot,ANY,ANY-method}
%\alias{plot,profile.mle,missing-method}
%\title{Methods for Function \code{plot} in Package \pkg{stats4}}
%\description{
%  Plot profile likelihoods for \code{"mle"} objects.
%}
%\usage{
%\S4method{plot}{profile.mle,missing}(x, levels, conf = c(99, 95, 90, 80, 50)/100, nseg = 50,
%     absVal = TRUE, \dots)
%}
%\arguments{
% \item{x}{an object of class \code{"profile.mle"} }
% \item{levels}{levels, on the scale of the absolute value of a t
%     statistic, at which to interpolate intervals.  Usually \code{conf}
%     is used instead of giving \code{levels} explicitly.}
% \item{conf}{a numeric vector of confidence levels for profile-based
%     confidence intervals on the parameters.}
% \item{nseg}{an integer value giving the number of segments to use in
%     the spline interpolation of the profile t curves.}
% \item{absVal}{a logical value indicating whether or not the plots
%     should be on the scale of the absolute value of the profile t.
%     Defaults to \code{TRUE}.}
% \item{\dots}{other arguments to the \code{plot} function can be passed here.}
%}
%\section{Methods}{
%  \describe{
%    \item{\code{signature(x = "ANY", y = "ANY")}}{Generic function: see
%      \code{\link[graphics]{plot}}.}
%    \item{\code{signature(x = "profile.mle", y = "missing")}}{Plot
%      likelihood profiles for \code{x}.}
%  }
%}
%\keyword{methods}
