% File src/library/tools/man/add_datalist.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2011 R Core Team
% Distributed under GPL 2 or later

\name{add_datalist}
%@%\alias{パッケージに datalist ファイルを加える}
\alias{add_datalist}
\title{パッケージに \file{datalist} ファイルを加える}
%\title{Add a \file{datalist} File to a Package}
\description{
  引数無しの \code{\link{data}()} は
  付加されたパッケージの
  \code{data} を使い利用可能なデータセットのリストを表示し，そのために
  パッケージごとのリストがインストールされる．
  このパッケージをインストール時に作るのは膨大なデータセットを持つ
  パッケージに対しては遅い可能性があり，
  \file{data/datalist} ファイルを提供することで迅速に出来る．
}
\usage{
add_datalist(pkgpath, force = FALSE)
}
\arguments{
  \item{pkgpath}{(ソース)パッケージへのパス．}

  \item{force}{論理値：既存の \file{data/datalist} ファイルを上書きすべきか?}
}
\details{
  \command{R CMD build} は
  1MB 又はそれ以上のデータを持つパッケージにデータリストを付け加えるために
  この関数を呼び出す．

  データセットが多くの従属性を持つファイルに
  \file{data/datalist} を与えることはまた，
  パッケージ自体(そして恐らくその他)のロードを含み有用である．
}
\seealso{
  \code{\link{data}}.

  マニュアル \sQuote{Writing R Extensions}．
}
\keyword{utilities}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/tools/man/add_datalist.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2011 R Core Team
%% Distributed under GPL 2 or later
%
%\name{add_datalist}
%\alias{add_datalist}
%\title{
%  Add a \file{datalist} File to a Package
%}
%\description{
%  The \code{\link{data}()} command with no arguments lists all the
%  datasets available via \code{data} in attached packages, and to do so a
%  per-package list is installed.  Creating that list at install time can
%  be slow for packages with huge datasets, and can be expedited by a
%  supplying \file{data/datalist} file.
%}
%\usage{
%add_datalist(pkgpath, force = FALSE)
%}
%\arguments{
%  \item{pkgpath}{The path to a (source) package.}
%
%  \item{force}{logical: can an existing \file{data/datalist} file be
%    over-written?}
%}
%\details{
%  \command{R CMD build} will call this function to add a data list to
%  packages with 1MB or more of data.
%
%  It is also helpful to give a \file{data/datalist} file in packages
%  whose datasets have many dependencies, including loading the packages
%  itself (and maybe others).
%}
%\seealso{
%  \code{\link{data}}.
%
%  The \sQuote{Writing R Extensions} manual.
%}
%\keyword{utilities}
%
%\encoding{UTF8}
%