% File src/library/tools/man/installFoundDepends.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2007 R Core Team
% Distributed under GPL 2 or later

\name{installFoundDepends}
%@%\alias{未解決従属性のインストール}
\alias{installFoundDepends}
%\title{A function to install unresolved dependencies}
\title{未解決の従属性をインストールする関数}
\description{
  この関数は
  \code{pkgDependsList} オブジェクトの \code{Found} 要素を取り
  指定されたレポジトリから全てのリストされたパッケージをインストールしようとする．

  \emph{この関数は \code{pkgDependsList} オブジェクトが廃止予定なため
    廃止予定である．}
}
\usage{
installFoundDepends(depPkgList, ...)
}
\arguments{
  \item{depPkgList}{
    \code{pkgDependsList} オブジェクトからの \code{Found} 要素}
  \item{\dots}{
    \code{\link{install.packages}} に渡される引数}
}
\details{
  この関数は入力として
  \code{pkgDependsList} オブジェクトからの
  \code{Found} リストを取る．
  このリストは対応するレポジトリの
  URL の名前の要素を持ち，要素はパッケージ名のベクトルである．
  各要素に対してベクトル中にリストされた全てのパッケージを
  インストールするために
  \code{\link{install.packages}} が
  その URL に対して呼び出される．
}
\author{Jeff Gentry}
\seealso{\code{\link{pkgDepends}}, \code{\link{install.packages}}}
\examples{
## インストールするパッケージに対する一時ディレクトリを設定する
tmp <- tempfile()
dir.create(tmp)

pDL <- pkgDepends("tools", local = FALSE)
installFoundDepends(pDL$Found, destdir = tmp)
}
\keyword{utilities}

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/tools/man/installFoundDepends.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2007 R Core Team
%% Distributed under GPL 2 or later
%
%\name{installFoundDepends}
%\alias{installFoundDepends}
%\title{A function to install unresolved dependencies}
%\description{
%  This function will take the \code{Found} element of a
%  \code{pkgDependsList} object and attempt to install
%  all of the listed packages from the specified repositories.
%
%  \emph{This function is deprecated since \code{pkgDependsList} objects are.}
%}
%\usage{
%installFoundDepends(depPkgList, ...)
%}
%\arguments{
%  \item{depPkgList}{A \code{Found} element from a \code{pkgDependsList} object}
%  \item{\dots}{Arguments to pass on to \code{\link{install.packages}}}
%}
%\details{
%  This function takes as input the \code{Found} list from a
%  \code{pkgDependsList} object.  This list will have element names being
%  URLs corresponding to repositories and the elements will be vectors of
%  package names.  For each element, \code{\link{install.packages}} is
%  called for that URL to install all packages listed in the vector.
%}
%\author{Jeff Gentry}
%\seealso{\code{\link{pkgDepends}}, \code{\link{install.packages}}}
%\examples{
%## Set up a temporary directory to install packages to
%tmp <- tempfile()
%dir.create(tmp)
%
%pDL <- pkgDepends("tools", local = FALSE)
%installFoundDepends(pDL$Found, destdir = tmp)
%}
%\keyword{utilities}
%
%\encoding{UTF8}
%