% File src/library/tools/man/toRd.Rd
% Part of the R package, https://www.R-project.org
% Copyright 2010-1 R Core Team
% Distributed under GPL 2 or later

\name{toRd}
%@%\alias{Rd コードに変換する}
\alias{toRd}
\alias{toRd.default}
\alias{toRd.bibentry}
%\title{オブジェクトを Rd コードの断片に変換する総称的関数．}
\title{Generic function to convert object to a fragment of Rd code.}
\description{
この関数に対するメソッドはそれらに関連するクラスを
Rd コードの断片に変換する，これはそれから
text, HTML または LaTeX に変換することが出来る．
}
\usage{
toRd(obj, ...)
\S3method{toRd}{bibentry}(obj, style = NULL, ...)
}
\arguments{
  \item{obj}{変換されるオブジェクト．}
  \item{style}{\code{\link{bibentry}} オブジェクトの変換で
    使われるスタイル．}
  \item{\dots}{メソッドが使う追加引数．}
}
\details{
スタイルに関する議論は \code{\link{bibstyle}} を見よ．
既定の \code{style = NULL} 値は既定のスタイルを与える．
}
\value{
構文解析し変換できる Rd コードの断片を含む文字列ベクトルを返す．
既定のメソッドは
\code{obj} をモード \code{character} に変換し，それからその中の
Rd マークアップをエスケープする．
\code{bibentry} メソッドはそのクラスのオブジェクトを
文献で使用するのに適当なマークアップに変換する．
}
\keyword{ utilities }
\keyword{ documentation }

\encoding{UTF8}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/tools/man/toRd.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 2010-1 R Core Team
%% Distributed under GPL 2 or later
%
%\name{toRd}
%\alias{toRd}
%\alias{toRd.default}
%\alias{toRd.bibentry}
%\title{
%Generic function to convert object to a fragment of Rd code.
%}
%\description{
%Methods for this function render their associated classes as a fragment of Rd
%code, which can then be rendered into text, HTML, or LaTeX.
%}
%\usage{
%toRd(obj, ...)
%\S3method{toRd}{bibentry}(obj, style = NULL, ...)
%}
%\arguments{
%  \item{obj}{
%The object to be rendered.
%}
%  \item{style}{
%The style to be used in converting a \code{\link{bibentry}} object.
%}
%  \item{\dots}{
%Additional arguments used by methods.
%}
%}
%\details{
%See \code{\link{bibstyle}} for a discussion of styles.  The default \code{style = NULL} value
%gives the default style.
%}
%\value{
%Returns a character vector containing a fragment of Rd code that could
%be parsed and rendered.  The default method converts \code{obj} to mode \code{character},
%then escapes any Rd markup within it.  The \code{bibentry} method converts an
%object of that class to markup appropriate for use in a bibliography.
%}
%\keyword{ utilities }
%\keyword{ documentation }
%
%\encoding{UTF8}
%